Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.value
Class ValueSelectorConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.value.ValueSelectorConfig

    public class ValueSelectorConfig

extends SelectorConfig

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected String` | `planningVariableName`
`protected SelectionOrder` | `selectionOrder`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `valueProbabilityWeightFactoryClass`

Constructor Summary
`ValueSelectorConfig()`

Method Summary
`ValueSelector` | `buildValueSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, PlanningEntityDescriptor entityDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`SelectionCacheType` | `getCacheType()`
`String` | `getPlanningVariableName()`
`SelectionOrder` | `getSelectionOrder()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getValueProbabilityWeightFactoryClass()`
`void` | `inherit(ValueSelectorConfig inheritedConfig)`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setPlanningVariableName(String planningVariableName)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`
`void` | `setValueProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> valueProbabilityWeightFactoryClass)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### planningVariableName

    protected String planningVariableName

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### valueProbabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> valueProbabilityWeightFactoryClass

Constructor Detail

### ValueSelectorConfig

    public ValueSelectorConfig()

Method Detail

### getPlanningVariableName

    public String getPlanningVariableName()

### setPlanningVariableName

    public void setPlanningVariableName(String planningVariableName)

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getValueProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getValueProbabilityWeightFactoryClass()

### setValueProbabilityWeightFactoryClass

    public void setValueProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> valueProbabilityWeightFactoryClass)

### buildValueSelector

    public ValueSelector buildValueSelector(EnvironmentMode environmentMode,
                                            SolutionDescriptor solutionDescriptor,
                                            PlanningEntityDescriptor entityDescriptor,
                                            SelectionCacheType minimumCacheType,
                                            SelectionOrder inheritedSelectionOrder)

  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `entityDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(ValueSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.